org.springframework.expression.spel.support

## Class ReflectionHelper.ArgumentsMatchInfo

- java.lang.Object
- - org.springframework.expression.spel.support.ReflectionHelper.ArgumentsMatchInfo

- Enclosing class:
    ReflectionHelper

      public static class ReflectionHelper.ArgumentsMatchInfo
      extends Object

  An instance of ArgumentsMatchInfo describes what kind of match was achieved between two sets of arguments - the set that a method/constructor is expecting and the set that are being supplied at the point of invocation. If the kind indicates that conversion is required for some of the arguments then the arguments that require conversion are listed in the argsRequiringConversion array.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int[]` | `argsRequiringConversion`
    `ReflectionHelper.ArgsMatchKind` | `kind`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCloseMatch()`
    `boolean` | `isExactMatch()`
    `boolean` | `isMatchRequiringConversion()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### kind

          public final ReflectionHelper.ArgsMatchKind kind

    - #### argsRequiringConversion

          public int[] argsRequiringConversion

  - ### Method Detail

    - #### isExactMatch

          public boolean isExactMatch()

    - #### isCloseMatch

          public boolean isCloseMatch()

    - #### isMatchRequiringConversion

          public boolean isMatchRequiringConversion()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`